Skip to content

updateJournalEntry

WRITE

Update journal entry.

POST /api/v1/accounting/updateJournalEntry
curl -X POST '<your-host>/api/v1/accounting/updateJournalEntry' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "data": {}
  }'

Parameters

ParameterType
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "data": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "postingDate": {
          "type": "string",
          "minLength": 1
        }
      },
      "required": [
        "postingDate"
      ]
    }
  },
  "required": [
    "id",
    "data"
  ]
}